using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for LeavesBAL
/// </summary>
public class LeavesBAL
{
	public LeavesBAL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    //For Getting Leaves
    public DataSet GetData()
    {
        try
        {
            LeavesDAL objLeavesDAL = new LeavesDAL();
            return objLeavesDAL.GetData();
        }
        catch
        {
            return null;
        }
    }
    //For Getting Details By Id
    public DataSet GetDataById(LeavesBO objLeavesBO)
    {
        try
        {
            LeavesDAL objLeavesDAL = new LeavesDAL();
            return objLeavesDAL.GetDataById(objLeavesBO);
        }
        catch
        {
            return null;
        }
    }
    //For Getting Details By EmpId
    public DataSet GetDataByEmpId(LeavesBO objLeavesBO)
    {
        try
        {
            LeavesDAL objLeavesDAL = new LeavesDAL();
            return objLeavesDAL.GetDataByEmpId(objLeavesBO);
        }
        catch
        {
            return null;
        }
    }
     //For Create New Leave
    public int CreateLeave(LeavesBO objLeavesBO)
    {
        try
        {
            LeavesDAL objLeavesDAL = new LeavesDAL();
            return objLeavesDAL.CreateLeave(objLeavesBO);
        }
        catch
        {
            throw;
        }
    }
    //For Updating Leaves status
    public int UpdateLeaves(LeavesBO objLeavesBO)
    {
        try
        {
            LeavesDAL objLeavesDAL = new LeavesDAL();
            return objLeavesDAL.UpdateLeaves(objLeavesBO);
        }
        catch
        {
            throw;
        }
    }
}
