using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for MessagesBAL
/// </summary>
public class MessagesBAL
{
	public MessagesBAL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    //For getting Messages
    public DataSet GetData()
    {
        try
        {
            MessagesDAL objMessagesDAL = new MessagesDAL();
            return objMessagesDAL.GetData();
        }
        catch
        {
            return null;
        }
    }
    //For Getting Messages By MsgId
    public DataSet GetDataByMsgId(MessagesBO objMessagesBO)
    {
        try
        {
            MessagesDAL objMessagesDAL = new MessagesDAL();
            return objMessagesDAL.GetDataByMsgId(objMessagesBO);
        }
        catch
        {
            return null;
        }
    }
    //For Getting Messages By Id
    public DataSet GetDataById(MessagesBO objMessagesBO)
    {
        try
        {
            MessagesDAL objMessagesDAL = new MessagesDAL();
            return objMessagesDAL.GetDataById(objMessagesBO);
        }
        catch
        {
            return null;
        }
    }
    //To create new message For Individual
    public int CreateMsgForIndividual(MessagesBO objMessagesBO)
    {
        try
        {
            MessagesDAL objMessagesDAL = new MessagesDAL();
            return objMessagesDAL.CreateMsgForIndividual(objMessagesBO);
        }
        catch
        {
            throw;
        }
    }
    //To create new message For Group
    public int CreateMsgForGroup(MessagesBO objMessagesBO)
    {
        try
        {
            MessagesDAL objMessagesDAL = new MessagesDAL();
            return objMessagesDAL.CreateMsgForGroup(objMessagesBO);
        }
        catch
        {
            throw;
        }
    }
    //For Deleting the Messages From Inbox
    public int DeleteMessage(MessagesBO objMessagesBO)
    {
        try
        {
            MessagesDAL objMessagesDAL = new MessagesDAL();
            return objMessagesDAL.DeleteMessage(objMessagesBO);
        }
        catch
        {
            throw;
        }
    }
}
