using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
/// <summary>
/// Summary description for MeetingsDAL
/// </summary>
public class MeetingsDAL
{
    SqlConnection SqlCon = new SqlConnection(ConfigurationManager.AppSettings["ConStr"]); 
	public MeetingsDAL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    //For Geeting Meeting Details
    public DataSet GetData()
    {
        try
        {
            SqlDataAdapter SqlDa = new SqlDataAdapter("sp_tblMeetings", SqlCon);
            SqlDa.SelectCommand.CommandType = CommandType.StoredProcedure;
            DataSet ds = new DataSet();

            SqlParameter p1 = SqlDa.SelectCommand.Parameters.Add("@Type", SqlDbType.Char, 1);
            p1.Direction = ParameterDirection.Input;
            p1.Value = "G";

            SqlDa.Fill(ds);
            return ds;
        }
        catch
        {
            return null;
        }
        
    }
    //To create a new Meeting
    public int InsertMeetingDetails(MeetingsBO objMeetingsBO)
    {
        try
        {
            SqlCommand SqlInsertCmd=new SqlCommand("sp_tblMeetings",SqlCon);
            SqlCon.Open();
            SqlInsertCmd.CommandType=CommandType.StoredProcedure;

            SqlParameter p1=SqlInsertCmd.Parameters.Add("@Type",SqlDbType.Char,1);
            p1.Direction=ParameterDirection.Input;
            p1.Value="I";

            SqlParameter p2=SqlInsertCmd.Parameters.Add("@MeetingDate",SqlDbType.VarChar,50);
            p2.Direction=ParameterDirection.Input;
            p2.Value=objMeetingsBO.MeetingDate;

            SqlParameter p3=SqlInsertCmd.Parameters.Add("@MeetingTime",SqlDbType.VarChar,20);
            p3.Direction=ParameterDirection.Input;
            p3.Value=objMeetingsBO.MeetingTime;

            SqlParameter p4=SqlInsertCmd.Parameters.Add("@Purpose",SqlDbType.VarChar,50);
            p4.Direction=ParameterDirection.Input;
            p4.Value=objMeetingsBO.Purpose;

            SqlParameter p5 = SqlInsertCmd.Parameters.Add("@DiscussingIssues", SqlDbType.VarChar, 200);
            p5.Direction=ParameterDirection.Input;
            p5.Value=objMeetingsBO.DiscussingIssues;

            return SqlInsertCmd.ExecuteNonQuery();
        }
        catch
        { 
            throw;
        }
        finally
        {
            SqlCon.Close();
        }
    }
}
