using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class CreateWorkReport : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            txtEmpId.Text = Session["EmpId"].ToString();
            txtDate.Text = DateTime.Now.ToShortDateString();
            GetAssignedTasks();
        }
    }
    //For getting Assigned Tasks From TblScheduler
    private void GetAssignedTasks()
    {
        try
        {
            ScheduledWorkBAL objScheduledWorkBAL = new ScheduledWorkBAL();
            ScheduledWorkBO objScheduledWorkBO = new ScheduledWorkBO();
            objScheduledWorkBO.UserId = int.Parse(Session["EmpId"].ToString());
            DataSet ds = new DataSet();
            ds = objScheduledWorkBAL.GetAssignedWorks(objScheduledWorkBO);
            
            if (ds != null)
            {
                ddlAssignedTask.DataSource = ds;
                ddlAssignedTask.DataTextField = "AssignedWork";
                ddlAssignedTask.DataValueField = "AssignedWork";
                ddlAssignedTask.DataBind();
            }            
        }
        catch
        {
            throw;
        }
    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        Server.Transfer("Home.aspx");
    }
    protected void btnCreate_Click(object sender, EventArgs e)
    {
        UpdateScheduler();
        lblMsg.Text = "Report Created Successfully";
    }
    //For Creating Work Report
    public void UpdateScheduler()
    {
        try
        {
            ScheduledWorkBAL objScheduledWorkBAL = new ScheduledWorkBAL();
            ScheduledWorkBO objScheduledWorkBO = new ScheduledWorkBO();
            objScheduledWorkBO.UserId = int.Parse(txtEmpId.Text);
            objScheduledWorkBO.AssignedWork = ddlAssignedTask.SelectedItem.Text;
            objScheduledWorkBO.Status= RadioButtonList1.SelectedItem.Value;
            objScheduledWorkBO.ReportedDate = txtDate.Text;

            objScheduledWorkBAL.UpdateScheduler(objScheduledWorkBO);
        }
        catch
        {
            throw;
        }
    }
}
