using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class EditEmployee : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            GetDetails();
        }
    }
    //For Getting Employee Details
    private void GetDetails()
    {
        UserManagementBAL objUserManagementBAL = new UserManagementBAL();
        try
        {
            DataSet ds = new DataSet();
            ds= objUserManagementBAL.GetDetails();
            if (ds != null)
            {
                dgEmployee.DataSource = ds;
                dgEmployee.DataBind();
            }
            else
            {
                dgEmployee.DataSource = null;
                dgEmployee.DataBind();
            }
        }
        catch
        {
            dgEmployee.DataSource = null;
            dgEmployee.DataBind();
        }
    }
    protected void dgEmployee_ItemCommand(object source, DataGridCommandEventArgs e)
    {
        if (e.CommandName == "Edit")
        {
            Response.Redirect("CreateEmployee.aspx?Id=" + dgEmployee.DataKeys[e.Item.ItemIndex]);
        }
        else if (e.CommandName == "Delete")
        {
            UserManagementBO objUserManagementBO = new UserManagementBO();
            UserManagementBAL objUserManagementBAL = new UserManagementBAL();
            try
            {
                objUserManagementBO.EmpId = int.Parse(dgEmployee.DataKeys[e.Item.ItemIndex].ToString());
                objUserManagementBAL.DeleteEmpAccount(objUserManagementBO);
                GetDetails();
            }
            catch
            {
                throw;
            }
        }
    }
}
