using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class EditProfile : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            GetDetailsById();
        }
    }
    private void GetDetailsById()
    {
        try
        {
            UserManagementBO objUserManagementBO = new UserManagementBO();
            UserManagementBAL objUserManagementBAL = new UserManagementBAL();
            DataSet ds = new DataSet();
            objUserManagementBO.EmpId = int.Parse(Session["EmpId"].ToString());
            ds = objUserManagementBAL.GetDetailsById(objUserManagementBO);
            if (ds != null)
            {
                txtPhone.Text = ds.Tables[0].Rows[0]["Phone"].ToString();
                txtEmail.Text = ds.Tables[0].Rows[0]["Email"].ToString();
                txtAddress.Text = ds.Tables[0].Rows[0]["Address"].ToString();
            }
        }
        catch
        {
            throw;
        }
    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        UpdateDetails();
        txtPhone.Text = "";
        txtEmail.Text = "";
        txtAddress.Text = "";
        lblMsg.Text = "Updated Successfully";
    }
    private void UpdateDetails()
    {
        try
        {
            UserManagementBO objUserManagementBO = new UserManagementBO();
            UserManagementBAL objUserManagementBAL = new UserManagementBAL();
            objUserManagementBO.EmpId = int.Parse(Session["EmpId"].ToString());
            objUserManagementBO.Phone = txtPhone.Text.Trim();
            objUserManagementBO.Email = txtEmail.Text.Trim();
            objUserManagementBO.Address=txtAddress.Text.Trim();

            objUserManagementBAL.UpdatePersonalInfo(objUserManagementBO);
        }
        catch
        {
            throw;
        }
    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        Server.Transfer("Home.aspx");
    }
}
