using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class EmployeeLeaves : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            if (Session["Type"].ToString() == "A")
            {
                Panel2.Visible = true;
                Panel1.Visible = true;
                GetData();
            }
            else if (Session["Type"].ToString() == "U")
            {
                Panel1.Visible = true;
                Panel2.Visible = true;
                GetDataByEmpId();
            }
        }
    }
    //For Getting Employee Leaves
    private void GetData()
    {
        try
        {
            LeavesBAL objLeavesBAL = new LeavesBAL();
            DataSet ds = new DataSet();
            ds = objLeavesBAL.GetData();
            if (ds != null)
            {
                dgLeaves.DataSource = ds;
                dgLeaves.DataBind();
            }
            else
            {
                dgLeaves.DataSource = null;
                dgLeaves.DataBind();
            }
        }
        catch
        {
            throw;
        }
    }
    //For Getting Employee Leaves
    private void GetDataByEmpId()
    {
        try
        {
            LeavesBO objLeavesBO = new LeavesBO();
            LeavesBAL objLeavesBAL = new LeavesBAL();
            objLeavesBO.EmpId = int.Parse(Session["EmpId"].ToString());
            DataSet ds = new DataSet();
            ds = objLeavesBAL.GetDataByEmpId(objLeavesBO);
            if (ds != null)
            {
                gvLeaves.DataSource = ds;
                gvLeaves.DataBind();
            }
            else
            {
                gvLeaves.DataSource = null;
                gvLeaves.DataBind();
            }
        }
        catch
        {
            throw;
        }
    }
    protected void dgLeaves_ItemCommand(object source, DataGridCommandEventArgs e)
    {
        if (e.CommandName == "View")
        {
            Response.Redirect("ApplyLeave.aspx?Id=" + dgLeaves.DataKeys[e.Item.ItemIndex]);
        }
    }
}
