using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ViewAddressBook : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            GetData();
        }
    }
    private void GetData()
    {
        AddressBookBo objAddressBookBo = new AddressBookBo();
        AddressBookBAL objAddressBookBAL = new AddressBookBAL();
        try
        {
            objAddressBookBo.EmpId = int.Parse(Session["EmpId"].ToString());
            DataSet ds = new DataSet();
            ds = objAddressBookBAL.GetData(objAddressBookBo);
            if (ds != null)
            {
                dgAddressBook.DataSource = ds;
                dgAddressBook.DataBind();
            }
            else
            {
                dgAddressBook.DataSource = null;
                dgAddressBook.DataBind();
            }
        }
        catch
        {
            throw;
        }
    }
    protected void dgAddressBook_ItemCommand(object source, DataGridCommandEventArgs e)
    {
        if (e.CommandName == "Edit")
        {
            Response.Redirect("AddContact.aspx?Id=" + dgAddressBook.DataKeys[e.Item.ItemIndex]);
        }
        else if (e.CommandName == "Delete")
        {
            AddressBookBo objAddressBookBo = new AddressBookBo();
            AddressBookBAL objAddressBookBAL = new AddressBookBAL();
            try
            {
                objAddressBookBo.Id = int.Parse(dgAddressBook.DataKeys[e.Item.ItemIndex].ToString());
                objAddressBookBAL.DeleteDetails(objAddressBookBo);
                GetData();
            }
            catch
            {
                throw;
            }
        }
    }
}
