using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class WorkDetails : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            if (Session["Type"].ToString() == "A")
            {
                GetWorkDetails();
            }
            else if (Session["Type"].ToString() == "U")
            {
                GetWorkDetailsById();
            }
        }
    }
    //For Getting All Employees Work Details
    private void GetWorkDetails()
    {
        try
        {
            ScheduledWorkBAL objScheduledWorkBAL = new ScheduledWorkBAL();
            DataSet ds = new DataSet();
            ds = objScheduledWorkBAL.GetData();
            if (ds != null)
            {
                gvWorkDetails.DataSource = ds;
                gvWorkDetails.DataBind();
            }
            else
            {
                gvWorkDetails.DataSource = null;
                gvWorkDetails.DataBind();
            }
        }
        catch
        {
            throw;
        }
    }
    //For Getting Work Details By Id()
    private void GetWorkDetailsById()
    {
        try
        {
            ScheduledWorkBAL objScheduledWorkBAL = new ScheduledWorkBAL();
            ScheduledWorkBO objScheduledWorkBO = new ScheduledWorkBO();
            objScheduledWorkBO.UserId = int.Parse(Session["EmpId"].ToString());
            DataSet ds = new DataSet();
            ds = objScheduledWorkBAL.GetWorkDetailsById(objScheduledWorkBO);
            if (ds != null)
            {
                gvWorkDetails.DataSource = ds;
                gvWorkDetails.DataBind();
            }
            else
            {
                gvWorkDetails.DataSource = null;
                gvWorkDetails.DataBind();
            }
        }
        catch
        {
            throw;
        }
    }
}
