using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for ScheduledWorkBAL
/// </summary>
public class ScheduledWorkBAL
{
	public ScheduledWorkBAL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    //For Getting Work Details
    public DataSet GetData()
    {
        try
        {
            ScheduledWorkDAL objScheduledWorkDAL = new ScheduledWorkDAL();
            return objScheduledWorkDAL.GetData();
        }
        catch
        {
            return null;
        }
    }
    //For Getting Work Information from tblScheduler With AdminId
    public DataSet GetDataByAdminId(ScheduledWorkBO objScheduledWorkBO)
    {
        try
        {
            ScheduledWorkDAL objScheduledWorkDAL = new ScheduledWorkDAL();
            return objScheduledWorkDAL.GetDataByAdminId(objScheduledWorkBO);
        }
        catch
        {
            return null;
        }
    }
    //For Getting ToDay's Work Information from tblScheduler With AdminId
    public DataSet GetTodaysWorkReport(ScheduledWorkBO objScheduledWorkBO)
    {
        try
        {
            ScheduledWorkDAL objScheduledWorkDAL = new ScheduledWorkDAL();
            return objScheduledWorkDAL.GetTodaysWorkReport(objScheduledWorkBO);
        }
        catch
        {
            throw;
        }
    }
    //For Getting This Week's Work Information from tblScheduler With AdminId
    public DataSet GetThisWeekWorkReport(ScheduledWorkBO objScheduledWorkBO)
    {
        try
        {
            ScheduledWorkDAL objScheduledWorkDAL = new ScheduledWorkDAL();
            return objScheduledWorkDAL.GetThisWeekWorkReport(objScheduledWorkBO);
        }
        catch
        {
            throw;
        }
    }
    //For Getting This Month's Work Information from tblScheduler With AdminId
    public DataSet GetThisMonthWorkReport(ScheduledWorkBO objScheduledWorkBO)
    {
        try
        {
            ScheduledWorkDAL objScheduledWorkDAL = new ScheduledWorkDAL();
            return objScheduledWorkDAL.GetThisMonthWorkReport(objScheduledWorkBO);
        }
        catch
        {
            throw;
        }
    }
    //For Getting AssinedWorks Based on UserId And Status
    public DataSet GetAssignedWorks(ScheduledWorkBO objScheduledWorkBO)
    {
        try
        {
            ScheduledWorkDAL objScheduledWorkDAL = new ScheduledWorkDAL();
            return objScheduledWorkDAL.GetAssignedWorks(objScheduledWorkBO);
        }
        catch
        {
            throw;
        }
    }
    //For Getting Work Details By Id
    public DataSet GetWorkDetailsById(ScheduledWorkBO objScheduledWorkBO)
    {
        try
        {
            ScheduledWorkDAL objScheduledWorkDAL = new ScheduledWorkDAL();
            return objScheduledWorkDAL.GetWorkDetailsById(objScheduledWorkBO);
        }
        catch
        {
            return null;        
        }
    }
    //To Create Work
    public int CreateWork(ScheduledWorkBO objScheduledWorkBO)
    {
        try
        {
            ScheduledWorkDAL objScheduledWorkDAL = new ScheduledWorkDAL();
            return objScheduledWorkDAL.CreateWork(objScheduledWorkBO);
        }
        catch
        {
            throw;
        }
    }
    //For Updating TblScheduler
    public int UpdateScheduler(ScheduledWorkBO objScheduledWorkBO)
    {
        try
        {
            ScheduledWorkDAL objScheduledWorkDAL = new ScheduledWorkDAL();
            return objScheduledWorkDAL.UpdateScheduler(objScheduledWorkBO);
        }
        catch
        {
            throw;
        }
        
    }
    //For Deleting From tblScheduler
    public int DeleteFromScheduler(ScheduledWorkBO objScheduledWorkBO)
    {
        try
        {
            ScheduledWorkDAL objScheduledWorkDAL = new ScheduledWorkDAL();
            return objScheduledWorkDAL.DeleteFromScheduler(objScheduledWorkBO);
        }
        catch
        {
            throw;
        }
    }
}
