using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for UserManagementBAL
/// </summary>
public class UserManagementBAL
{
	public UserManagementBAL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    //For Checking Login
    public DataSet CheckLogin(UserManagementBO objUserManagementBO)
    {
        UserManagementDAL objUserManagementDAL = new UserManagementDAL();
        try
        {
            return objUserManagementDAL.CheckLogin(objUserManagementBO);
        }
        catch
        {
            return null;
        }
    }
    //For Getting UserNames
    public DataSet GetUserNames(UserManagementBO objUserManagementBO)
    {
        try
        {
            UserManagementDAL objUserManagementDAL = new UserManagementDAL();
            return objUserManagementDAL.GetUserNames(objUserManagementBO);
        }
        catch
        {
            return null;
        }
    }
    //For Getting Employee Details
    public DataSet GetDetails()
    {
        UserManagementDAL objUserManagementDAL = new UserManagementDAL();
        try
        {
            return objUserManagementDAL.GetDetails();
        }
        catch
        {
            return null;
        }
    }
    //For Getting Details by EmployeeId
    public DataSet GetDetailsById(UserManagementBO objUserManagementBO)
    {
        UserManagementDAL objUserManagementDAL = new UserManagementDAL();
        try
        {
            return objUserManagementDAL.GetDetailsById(objUserManagementBO);
        }
        catch
        {
            return null;
        }
    }
    //For Getting admin Id's
    //public DataSet GetAdminIds()
    //{
    //    try
    //    {
    //        UserManagementDAL objUserManagementDAL = new UserManagementDAL();
    //        return objUserManagementDAL.GetAdminIds();
    //    }
    //    catch
    //    {
    //        return null;
    //    }
    //}
    //For Getting User Id's
    public DataSet GetUserIds()
    {
        try
        {
            UserManagementDAL objUserManagementDAL = new UserManagementDAL();
            return objUserManagementDAL.GetUserIds();
        }
        catch
        {
            return null;
        }
    }
    //To Create An Employee
    public int CreateEmployee(UserManagementBO objUserManagementBO)
    {
        UserManagementDAL objUserManagementDAL = new UserManagementDAL();
        try
        {
            return objUserManagementDAL.CreateEmployee(objUserManagementBO);
        }
        catch
        {
            throw;
        }
    }
    //For Updating Employee Account
    public int UpdateEmpAccount(UserManagementBO objUserManagementBO)
    {
        UserManagementDAL objUserManagementDAL = new UserManagementDAL();
        try
        {
            return objUserManagementDAL.UpdateEmpAccount(objUserManagementBO);
        }
        catch
        {
            throw;
        }
    }
    //For Deleting Employee Account
    public int DeleteEmpAccount(UserManagementBO objUserManagementBO)
    {
        UserManagementDAL objUserManagementDAL = new UserManagementDAL();
        try
        {
            return objUserManagementDAL.DeleteEmpAccount(objUserManagementBO);
        }
        catch
        {
            throw;
        }
    }
    //For Updating Password
    public int UpdatePassword(UserManagementBO objUserManagementBO)
    {
        try
        {
            UserManagementDAL objUserManagementDAL = new UserManagementDAL();
            return objUserManagementDAL.UpdatePassword(objUserManagementBO);
        }
        catch
        {
            throw;
        }
    }
    //For Updating User personal Information
    public int UpdatePersonalInfo(UserManagementBO objUserManagementBO)
    {
        try
        {
            UserManagementDAL objUserManagementDAL = new UserManagementDAL();
            return objUserManagementDAL.UpdatePersonalInfo(objUserManagementBO);
        }
        catch
        {
            throw;
        }
    }


}
