using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
/// <summary>
/// Summary description for BranchDetailsDAL
/// </summary>
public class BranchDetailsDAL
{
    SqlConnection SqlCon = new SqlConnection(ConfigurationManager.AppSettings["ConStr"]); 
	public BranchDetailsDAL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    //For getting Branch Details
    public DataSet GetBranchDetails()
    {
        try
        {
            SqlDataAdapter SqlDa = new SqlDataAdapter("sp_tblBranchDetails", SqlCon);
            SqlDa.SelectCommand.CommandType = CommandType.StoredProcedure;
            DataSet ds = new DataSet();

            SqlParameter p1 = SqlDa.SelectCommand.Parameters.Add("@Type", SqlDbType.Char, 1);
            p1.Direction = ParameterDirection.Input;
            p1.Value = "G";

            SqlDa.Fill(ds);
            return ds;
        }
        catch
        {
            return null;
        }
    }
    //For Creating New Branch
    public int CreateBranch(BranchDetailsBO objBranchDetailsBO)
    {
        try
        {
            SqlCommand SqlInsertCmd = new SqlCommand("sp_tblBranchDetails", SqlCon);
            SqlCon.Open();
            SqlInsertCmd.CommandType = CommandType.StoredProcedure;

            SqlParameter p1 = SqlInsertCmd.Parameters.Add("@Type", SqlDbType.Char, 1);
            p1.Direction = ParameterDirection.Input;
            p1.Value = "I";

            SqlParameter p2 = SqlInsertCmd.Parameters.Add("@BranchPlace", SqlDbType.VarChar,50);
            p2.Direction = ParameterDirection.Input;
            p2.Value = objBranchDetailsBO.BranchPlace;

            SqlParameter p3 = SqlInsertCmd.Parameters.Add("@BranchName", SqlDbType.VarChar, 50);
            p3.Direction = ParameterDirection.Input;
            p3.Value = objBranchDetailsBO.BranchName;

            return SqlInsertCmd.ExecuteNonQuery();
        }
        catch
        {
            throw;
        }
        finally
        {
            SqlCon.Close();
        }
    }
}
