using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
/// <summary>
/// Summary description for FeedBackDAL
/// </summary>
public class FeedBackDAL
{
    SqlConnection SqlCon = new SqlConnection(ConfigurationManager.AppSettings["ConStr"]); 
	public FeedBackDAL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    //For Getting FeedBack's
    public DataSet GetData()
    {
        try
        {
            SqlDataAdapter SqlDa = new SqlDataAdapter("sp_tblFeedBacks", SqlCon);
            SqlDa.SelectCommand.CommandType = CommandType.StoredProcedure;
            DataSet ds = new DataSet();

            SqlParameter p1 = SqlDa.SelectCommand.Parameters.Add("@Type", SqlDbType.Char, 1);
            p1.Direction = ParameterDirection.Input;
            p1.Value = "G";

            SqlDa.Fill(ds);
            return ds;
        }
        catch
        {
            return null;
        }

    }
    //For Creating Feed Back
    public int InsertIntoFeedBacks(FeedBackBO objFeedBackBO)
    {
        try
        {
            SqlCommand SqlInsertCmd = new SqlCommand("sp_tblFeedBacks", SqlCon);
            SqlCon.Open();
            SqlInsertCmd.CommandType = CommandType.StoredProcedure;

            SqlParameter p1 = SqlInsertCmd.Parameters.Add("@Type", SqlDbType.Char, 1);
            p1.Direction = ParameterDirection.Input;
            p1.Value = "I";

            SqlParameter p2 = SqlInsertCmd.Parameters.Add("@EmpId", SqlDbType.Int, 4);
            p2.Direction = ParameterDirection.Input;
            p2.Value = objFeedBackBO.EmpId;

            SqlParameter p3 = SqlInsertCmd.Parameters.Add("@Subject", SqlDbType.VarChar, 50);
            p3.Direction = ParameterDirection.Input;
            p3.Value = objFeedBackBO.Subject;

            SqlParameter p4 = SqlInsertCmd.Parameters.Add("@Comments", SqlDbType.VarChar, 500);
            p4.Direction = ParameterDirection.Input;
            p4.Value = objFeedBackBO.Comments;

            SqlParameter p5 = SqlInsertCmd.Parameters.Add("@CreatedDate", SqlDbType.VarChar, 50);
            p5.Direction = ParameterDirection.Input;
            p5.Value = objFeedBackBO.CreatedDate;

            return SqlInsertCmd.ExecuteNonQuery();
        }
        catch
        {
            throw;
        }
        finally
        {
            SqlCon.Close();
        }
    }
    //For Deleting FeedBack's
    public int DeleteFeedBack(FeedBackBO objFeedBackBO)
    {
        try
        {
            SqlCommand SqlDeleteCmd = new SqlCommand("sp_tblFeedBacks", SqlCon);
            SqlDeleteCmd.CommandType = CommandType.StoredProcedure;
            SqlCon.Open();

            SqlParameter p1 = SqlDeleteCmd.Parameters.Add("@Type", SqlDbType.Char, 1);
            p1.Direction = ParameterDirection.Input;
            p1.Value = "D";

            SqlParameter p2 = SqlDeleteCmd.Parameters.Add("@Id", SqlDbType.Int, 4);
            p2.Direction = ParameterDirection.Input;
            p2.Value = objFeedBackBO.Id;

            return SqlDeleteCmd.ExecuteNonQuery();
        }
        catch
        {
            throw;
        }
        finally
        {
            SqlCon.Close();
        }
    }

}
