using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
/// <summary>
/// Summary description for UploadsDAL
/// </summary>
public class UploadsDAL
{
    SqlConnection SqlCon = new SqlConnection(ConfigurationManager.AppSettings["ConStr"]); 
	public UploadsDAL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    public DataSet GetData()
    {
        try
        {
            SqlDataAdapter SqlDa = new SqlDataAdapter("sp_tblUploads", SqlCon);
            DataSet ds = new DataSet();
            SqlDa.SelectCommand.CommandType = CommandType.StoredProcedure;

            SqlParameter p1 = SqlDa.SelectCommand.Parameters.Add("@Type", SqlDbType.Char, 1);
            p1.Direction = ParameterDirection.Input;
            p1.Value = "G";

            SqlDa.Fill(ds);
            return ds;
        }
        catch
        {
            return null;
        }
    }
    //For Creating New Notice
    public int InsertIntoUpload(UploadsBO objUploadsBO)
    {
        try
        {
            SqlCommand SqlInsertCmd = new SqlCommand("sp_tblUploads", SqlCon);
            SqlCon.Open();
            SqlInsertCmd.CommandType = CommandType.StoredProcedure;

            SqlParameter p1 = SqlInsertCmd.Parameters.Add("@Type", SqlDbType.Char, 1);
            p1.Direction = ParameterDirection.Input;
            p1.Value = 'I';

            SqlParameter p2 = SqlInsertCmd.Parameters.Add("@EmpId", SqlDbType.Int, 4);
            p2.Direction = ParameterDirection.Input;
            p2.Value = objUploadsBO.EmpId;

            SqlParameter p3 = SqlInsertCmd.Parameters.Add("@FileName", SqlDbType.VarChar, 50);
            p3.Direction = ParameterDirection.Input;
            p3.Value = objUploadsBO.FileName;

            SqlParameter p4 = SqlInsertCmd.Parameters.Add("@FilePath", SqlDbType.VarChar, 100);
            p4.Direction = ParameterDirection.Input;
            p4.Value = objUploadsBO.FilePath;

            return SqlInsertCmd.ExecuteNonQuery();
        }
        catch
        {
            throw;
        }
    }
}
