using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class NewMeeting : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            txtMeetingDate.Focus();
            for (int i = 1; i <= 24; i++)
            {
                ddlHours.Items.Add(i.ToString());
            }           
        }
    }

    protected void btnCreate_Click(object sender, EventArgs e)
    {
        CreateMeeting();
    }
    //To create New Meeting
    private void CreateMeeting()
    {
        try
        {
            MeetingsBO objMeetingsBO = new MeetingsBO();
            MeetingsBAL objMeetingsBAL = new MeetingsBAL();

            objMeetingsBO.MeetingDate = txtMeetingDate.Text;
            objMeetingsBO.MeetingTime = ddlHours.Text+":" + ddlMinutes.Text;
            objMeetingsBO.Purpose = txtPurpose.Text;
            objMeetingsBO.DiscussingIssues = txtIssues.Text.Trim();

            objMeetingsBAL.InsertMeetingDetails(objMeetingsBO);
            Server.Transfer("MeetingDetails.aspx");
        }
        catch(Exception ex)
        {
            Response.Write(ex.Message);
        }
    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("MeetingDetails.aspx");
    }
}
