using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
public partial class UploadFile : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            txtEmpId.Text = Session["EmpId"].ToString();
        }
    }
    protected void btnCreate_Click(object sender, EventArgs e)
    {
        InsertIntoUpload();
        Server.Transfer("Files.aspx");
    }
    private void InsertIntoUpload()
    {
        FileInfo file = new FileInfo(File1.Value.ToString());
        string dt = DateTime.Now.Year.ToString() + DateTime.Now.Month.ToString() + DateTime.Now.Day.ToString() + DateTime.Now.Hour.ToString() + DateTime.Now.Minute.ToString() + DateTime.Now.Second.ToString();
        string Ufile = dt + "_" + file.Name;
        string Ufullpath = Server.MapPath("Uploads\\") + Ufile;
        File1.PostedFile.SaveAs(Ufullpath);
        try
        {
            UploadsBAL objUploadsBAL = new UploadsBAL();
            UploadsBO objUploadsBO = new UploadsBO();
            objUploadsBO.EmpId = int.Parse(Session["EmpId"].ToString());
            objUploadsBO.FileName = txtFileName.Text;
            objUploadsBO.FilePath = Ufile;

            objUploadsBAL.InsertIntoUpload(objUploadsBO);
        }
        catch
        {
            throw;
        }
    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        Server.Transfer("Home.aspx");
    }
}
