using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ViewMessages : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            GetDataById();
        }
    }
    //For Displaying Messages By Id
    private void GetDataById()
    {
        try
        {
            MessagesBO objMessagesBO = new MessagesBO();
            MessagesBAL objMessagesBAL = new MessagesBAL();
            objMessagesBO.Reciever = Session["UserName"].ToString();
            objMessagesBO.GroupName = Session["GroupName"].ToString();
            DataSet ds=new DataSet();
            ds=objMessagesBAL.GetDataById(objMessagesBO);
            if (ds != null)
            {
                dgMessages.DataSource = ds;
                dgMessages.DataBind();
            }
            else
            {
                dgMessages.DataSource = null;
                dgMessages.DataBind();
            }
        }
        catch
        {
            throw;
        }
    }
    //For Displying Messages into DataGrid
    private void GetData()
    {
        try
        {
            MessagesBAL objMessagesBAL = new MessagesBAL();
            DataSet ds = new DataSet();
            ds = objMessagesBAL.GetData();
            if (ds != null)
            {
                dgMessages.DataSource = ds;
                dgMessages.DataBind();
            }
            else
            {
                dgMessages.DataSource = null;
                dgMessages.DataBind();
            }
        }
        catch
        {
            throw;
        }
    }
    protected void dgMessages_ItemCommand(object source, DataGridCommandEventArgs e)
    {
        if (e.CommandName == "View")
        {
            Response.Redirect("CreateMessage.aspx?Id=" + dgMessages.DataKeys[e.Item.ItemIndex]);
        }
        else if (e.CommandName == "Delete")
        {
            try
            {
                MessagesBO objMessagesBO = new MessagesBO();
                MessagesBAL objMessagesBAL = new MessagesBAL();
                objMessagesBO.MsgId = int.Parse(dgMessages.DataKeys[e.Item.ItemIndex].ToString());
                objMessagesBAL.DeleteMessage(objMessagesBO);
                GetDataById();
            }
            catch
            {
                throw;
            }
        }
    }
}
