using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class WorkReports : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    //For Displaying Work Reports
    protected void RadioButtonList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        if (RadioButtonList1.SelectedIndex==0)
            GetTodaysWorkReport();
        else if (RadioButtonList1.SelectedIndex==1)
            GetThisWeekWorkReport();
        else if (RadioButtonList1.SelectedIndex==2)
            GetThisMonthWorkReport();
        else if (RadioButtonList1.SelectedIndex==3)
            GetDataByAdminId();
    }
    //For Getting Work Information from tblScheduler With AdminId(Total Reports)
    private void GetDataByAdminId()
    {
        try
        {
            ScheduledWorkBO objScheduledWorkBO = new ScheduledWorkBO();
            ScheduledWorkBAL objScheduledWorkBAL = new ScheduledWorkBAL();
            objScheduledWorkBO.AdminId = int.Parse(Session["EmpId"].ToString());
            DataSet ds = new DataSet();
            ds = objScheduledWorkBAL.GetDataByAdminId(objScheduledWorkBO);
            if (ds != null)
            {
                gvWorkReports.DataSource = ds;
                gvWorkReports.DataBind();
            }
            else
            {
                gvWorkReports.DataSource = null;
                gvWorkReports.DataBind();
                lblMsg.Text = "No Data Found";
            }
        }
        catch
        {
            throw;
        }
    }
    //For Getting ToDay's Work Information from tblScheduler With AdminId
    private void GetTodaysWorkReport()
    {
        try
        {
            ScheduledWorkBO objScheduledWorkBO = new ScheduledWorkBO();
            ScheduledWorkBAL objScheduledWorkBAL = new ScheduledWorkBAL();
            objScheduledWorkBO.AdminId = int.Parse(Session["EmpId"].ToString());
            DataSet ds = new DataSet();
            ds = objScheduledWorkBAL.GetTodaysWorkReport(objScheduledWorkBO);
            if (ds != null)
            {
                gvWorkReports.DataSource = ds;
                gvWorkReports.DataBind();
            }
            else
            {
                gvWorkReports.DataSource = null;
                gvWorkReports.DataBind();
                lblMsg.Text = "No Data Found";
            }
        }
        catch
        {
            throw;
        }
    }
    //For Getting This Week's Work Information from tblScheduler With AdminId
    private void GetThisWeekWorkReport()
    {
        try
        {
            ScheduledWorkBO objScheduledWorkBO = new ScheduledWorkBO();
            ScheduledWorkBAL objScheduledWorkBAL = new ScheduledWorkBAL();
            objScheduledWorkBO.AdminId = int.Parse(Session["EmpId"].ToString());
            DataSet ds = new DataSet();
            ds = objScheduledWorkBAL.GetThisWeekWorkReport(objScheduledWorkBO);
            if (ds != null)
            {
                gvWorkReports.DataSource = ds;
                gvWorkReports.DataBind();
            }
            else
            {
                gvWorkReports.DataSource = null;
                gvWorkReports.DataBind();
                lblMsg.Text = "No Data Found";
            }
        }
        catch
        {
            throw;
        }
    }
    //For Getting This Month's Work Information from tblScheduler With AdminId
    private void GetThisMonthWorkReport()
    {
        try
        {
            ScheduledWorkBO objScheduledWorkBO = new ScheduledWorkBO();
            ScheduledWorkBAL objScheduledWorkBAL = new ScheduledWorkBAL();
            objScheduledWorkBO.AdminId = int.Parse(Session["EmpId"].ToString());
            DataSet ds = new DataSet();
            ds = objScheduledWorkBAL.GetThisMonthWorkReport(objScheduledWorkBO);
            if (ds != null)
            {
                gvWorkReports.DataSource = ds;
                gvWorkReports.DataBind();
            }
            else
            {
                gvWorkReports.DataSource = null;
                gvWorkReports.DataBind();
                lblMsg.Text = "No Data Found";
            }
        }
        catch
        {
            throw;
        }
    }
    protected void gvWorkReports_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        try
        {
            int intId;
            intId = int.Parse(gvWorkReports.Rows[e.RowIndex].Cells[1].Text);
            ScheduledWorkBO objScheduledWorkBO = new ScheduledWorkBO();
            ScheduledWorkBAL objScheduledWorkBAL = new ScheduledWorkBAL();
            objScheduledWorkBO.SchedulerId = intId;
            objScheduledWorkBAL.DeleteFromScheduler(objScheduledWorkBO);
            Server.Transfer("WorkReports.aspx");
        }
        catch
        {
            throw;
        }
    }
}
